Skip to main content
POST
Store Quay Container Registry credentials

Path Parameters

organizationId
string<uuid>
required

CybeDefend organization ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json

Quay.io robot account credentials

projectId
string
required

CybeDefend project ID to associate this credential with

Example:

"097bbbf4-d1eb-4512-9950-684445279808"

quayNamespace
string
required

The Quay.io namespace (organization or user)

Example:

"myorganization"

robotUsername
string
required

The Quay.io robot account username

Example:

"myorganization+deploy_robot"

robotToken
string
required

The Quay.io robot account token

Example:

"XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"

quayHost
string
default:quay.io

The Quay.io registry host (default: quay.io). Use custom host for self-hosted Quay

Example:

"quay.io"

description
string

Optional description for the credentials

Example:

"Production deployment credentials"

Response

Quay Container Registry credentials stored successfully

id
string
required

Credential ID

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

quayNamespace
string
required

The Quay.io namespace

Example:

"myorganization"

robotUsername
string
required

The Quay.io robot account username

Example:

"myorganization+deploy_robot"

quayHost
string
required

The Quay.io registry host

Example:

"quay.io"

createdAt
string
required

Creation date

Example:

"2025-01-01T00:00:00Z"

description
string

Description

Example:

"Production deployment credentials"